uk.gov.hmrc.githubclient

# GithubApiClient

###
Related Docs: object GithubApiClient | package githubclient

#### trait GithubApiClient extends HooksApi

Linear Supertypes
HooksApi, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GithubApiClient
2. HooksApi
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract val contentsService: ExtendedContentsService

   Attributes
     protected

2. #### abstract val orgService: OrganizationService

   Attributes
     protected

3. #### abstract val releaseService: ReleaseService

   Attributes
     protected

4. #### abstract val repositoryService: RepositoryService

   Attributes
     protected
   Definition Classes
     GithubApiClient → HooksApi

5. #### abstract val teamService: ExtendedTeamService

   Attributes
     protected

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def addRepoToTeam(orgName: String, repoName: String, teamId: Int)(implicit ec: ExecutionContext): Future[Unit]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def containsRepo(orgName: String, repoName: String)(implicit ec: ExecutionContext): Future[Boolean]

8. #### def createFile(orgName: String, repoName: String, pathAndFileName: String, contents: String, message: String)(implicit ec: ExecutionContext): Future[Unit]

9. #### def createRepo(orgName: String, repoName: String)(implicit ec: ExecutionContext): Future[String]

10. #### def createWebHook(orgName: OrganisationName, repoName: RepositoryName, config: HookConfig, events: Set[HookEvent] = Set.empty, active: Boolean = true)(implicit ec: ExecutionContext): Future[Hook]

    Definition Classes
      HooksApi

11. #### def deleteHook(orgName: OrganisationName, repoName: RepositoryName, hookId: HookId)(implicit ec: ExecutionContext): Future[Unit]

    Definition Classes
      HooksApi

12. #### def editWebHook(orgName: OrganisationName, repoName: RepositoryName, hook: Hook, events: Set[HookEvent] = Set.empty)(implicit ec: ExecutionContext): Future[Hook]

    Definition Classes
      HooksApi

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def findHooks(orgName: OrganisationName, repoName: RepositoryName)(implicit ec: ExecutionContext): Future[Set[Hook]]

    Definition Classes
      HooksApi

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def getFileContent(path: String, repoName: String, orgName: String)(implicit ec: ExecutionContext): Future[Option[String]]

19. #### def getOrganisations(implicit ec: ExecutionContext): Future[List[GhOrganisation]]

20. #### def getReleases(org: String, repoName: String)(implicit ec: ExecutionContext): Future[List[GhRepoRelease]]

21. #### def getReposForOrg(org: String)(implicit ec: ExecutionContext): Future[List[GhRepository]]

22. #### def getReposForTeam(teamId: Long)(implicit ec: ExecutionContext): Future[List[GhRepository]]

23. #### def getTags(org: String, repoName: String)(implicit ec: ExecutionContext): Future[List[String]]

24. #### def getTeamsForOrganisation(org: String)(implicit ec: ExecutionContext): Future[List[GhTeam]]

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### def repoContainsContent(path: String, repoName: String, orgName: String)(implicit ec: ExecutionContext): Future[Boolean]

31. #### def repositoryId(repoName: String, orgName: String): IRepositoryIdProvider

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def teamId(orgName: String, team: String)(implicit ec: ExecutionContext): Future[Option[Int]]

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from HooksApi

### Inherited from AnyRef

### Inherited from Any

### Ungrouped